Subject: Re: sed strips CRs
From: Earnie Boyd <[email-masked]>
To: Andrey Repin <[email-masked]>
Cc: "Nellis, Kenneth" <[email-masked]>
Date: Tue, 14 Feb 2012 07:34:17 -0500
List-Id: <cygwin.cygwin.com>

On Mon, Feb 13, 2012 at 7:56 PM, Andrey Repin wrote:
> Greetings, Nellis, Kenneth!
>
>> The standard response to issues dealing with CRLF files is to point the
>> user to dos2unix and text mode mounts. This should be adequate without
>> the hidden behavior of sed/grep/awk and probably others.
>
> While your reasoning is sound, I prefer them to behave the way they are for my
> own goals.
> I can't possible alter between text and binary mounts, or use d2u on and off
> in an attempt to produce consistent and predictable end results.

Consistent behavior is what I see as the issue.  IMO, sed, grep and
awk should behave the same as on UNIX for consistent and predictable
behavior.  Treating CR as white space not only helps the Windows user
it also helps the Unix user when Windows files are transferred to it.
I know that for sed at least treating CR as white space works very
well.

-- 
Earnie
-- https://sites.google.com/site/earnieboyd

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple